Commit 2973c8c2 authored by Mark Hymers's avatar Mark Hymers

Add rstudio wrapper script

Signed-off-by: Mark Hymers's avatarMark Hymers <mark.hymers@ynic.york.ac.uk>
parent 3972b8b0
#!/bin/bash
set -e
set -u
set -x
# Find the glx libs
GLX_LIBS=/mnt/common/software/venv/buster/libgl-xlib
# Check whether we are on an old version of GLX
# Need to disable error checking here to deal with
# glxinfo / grep returning non-zero
set +e
if glxinfo 2>&1 | grep -q '^server glx version string: 1.2' >/dev/null 2>&1; then
echo "Patching GLX to deal with old x2go version"
export LD_LIBRARY_PATH=${GLX_LIBS}
fi
set -e
# Can't use exec here as rstudio needs the terminal to remain available
exec /usr/bin/rstudio "$@"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment